2019-12-07 11:53 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002541FSSCPgameplaypublic2011-11-19 21:50
ReporterGoober5000 
Assigned ToEchelon9 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.14 RC1 
Target Version3.6.14Fixed in Version3.6.14 RC1 
Summary0002541: hide-jumpnode no longer works
DescriptionAnother bug caused by the jump_nodes refactoring...
TagsNo tags attached.
Attached Files
  • zip file icon jumpnodestuffs.zip (179,328 bytes) 2011-11-19 13:50
  • patch file icon Untarget jumpnode if targeted when hiding.patch (483 bytes) 2011-11-19 14:20 -
    Index: code/jumpnode/jumpnode.cpp
    ===================================================================
    --- code/jumpnode/jumpnode.cpp	(revision 8017)
    +++ code/jumpnode/jumpnode.cpp	(working copy)
    @@ -151,9 +151,16 @@
     void jump_node::show(bool enabled)
     {
     	if(enabled)
    +	{
     		m_flags&=~JN_HIDE;
    +	}
     	else
    +	{
    +		// Untarget this node if it is already targeted
    +		if ( Player_ai->target_objnum == m_objnum )
    +			Player_ai->target_objnum = -1;
     		m_flags|=JN_HIDE;
    +	}
     }
     
     /**
    

-Relationships
related to 0002528resolvedEchelon9 Jump Nodes in FRED and set-jumpnode-sexp 
+Relationships

-Notes

~0012975

Echelon9 (developer)

Possibly resolved as of r8012. Please check.

~0012978

MjnMixael (manager)

hide-jumpnode works unless it is currently being targetted by the player.. at which point FSO commits suicide.

I've added a log from a crash and the mission I used to test the jump node sexps.

~0012980

iss_mneur (developer)

Last edited: 2011-11-19 14:20

MjnMixael: Please try the attached patch.

~0012981

MjnMixael (manager)

The patch seems to solve the issue here.

~0012982

iss_mneur (developer)

Okay, committed as 8027 in trunk.
+Notes

-Issue History
Date Modified Username Field Change
2011-11-13 02:19 Goober5000 New Issue
2011-11-13 02:19 Goober5000 Status new => assigned
2011-11-13 02:19 Goober5000 Assigned To => Echelon9
2011-11-13 02:20 Goober5000 Relationship added related to 0002528
2011-11-13 04:17 Zacam Target Version => 3.6.14
2011-11-19 01:21 Echelon9 Note Added: 0012975
2011-11-19 01:21 Echelon9 Status assigned => feedback
2011-11-19 13:50 MjnMixael Note Added: 0012978
2011-11-19 13:50 MjnMixael File Added: jumpnodestuffs.zip
2011-11-19 14:19 iss_mneur Note Added: 0012980
2011-11-19 14:19 iss_mneur Priority normal => high
2011-11-19 14:19 iss_mneur Severity minor => crash
2011-11-19 14:19 iss_mneur Reproducibility have not tried => always
2011-11-19 14:19 iss_mneur Status feedback => confirmed
2011-11-19 14:19 iss_mneur Product Version => 3.6.14 RC1
2011-11-19 14:20 iss_mneur File Added: Untarget jumpnode if targeted when hiding.patch
2011-11-19 14:20 iss_mneur Note Edited: 0012980
2011-11-19 14:38 MjnMixael Note Added: 0012981
2011-11-19 18:17 iss_mneur Note Added: 0012982
2011-11-19 18:17 iss_mneur Status confirmed => feedback
2011-11-19 18:17 iss_mneur Resolution open => fixed
2011-11-19 21:50 Echelon9 Status feedback => resolved
2011-11-19 21:50 Echelon9 Fixed in Version => 3.6.14 RC1
+Issue History